/**
Theme Name: Ampersand
Author: Ampersand Design
Author URI: https://ampersand.fi/
Description: Ampersand Child Theme.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: ampersand
Template: astra
*/

/* Body */

.link-color-g a {
	color: #888;
}

.link-color-w a {
	color: #fff;
}

.link-color-w a:hover,
.link-color-g a:hover {
	color: #3eb4e4 !important;
}

#ast-scroll-top {
	transition: 0.7s;
}

/* Nav */

.ast-site-header-cart i.astra-icon:after {
	padding-right: 0px;
}

.ast-site-header-cart.ast-menu-cart-outline .ast-addon-cart-wrap, .ast-site-header-cart.ast-menu-cart-fill .ast-addon-cart-wrap {
	height: 40px;
}

.ast-header-search .astra-search-icon:hover {
	color: #2f8cb1;
}

@media (min-width: 1024px) {
	.main-header-menu .menu-link, .main-header-menu>a {
		font-size: 0.85vw;
	}
	.ast-builder-button-size-sm .ast-custom-button {
		font-size: 0.65vw !important;
	}
}

@media (min-width: 2500px) {
	.main-header-menu .menu-link, .main-header-menu>a {
		font-size: 0.8vw;
	}
}

/* Etusivu */

.elementor-cta__content {
	opacity: 0;
}

.elementor-animated-content:hover .elementor-cta__content {
	opacity: 1;
}

.ajankohtaista a.elementor-post__read-more {
	padding: 12px 20px;
	background: #3eb4e4;
}

.ajankohtaista a.elementor-post__read-more:hover {
	background: #2f8cb1;
}

@media (min-width: 768px) {
	.hero-title {
		padding-left: 2em;
	}
}

/* Ajankohtaista */

@media (max-width: 767.98px) {
	.single .post-navigation .nav-next a, .single .post-navigation .nav-previous a {
		width: 100%;
	}
	.single .post-navigation .ast-left-arrow, .single .post-navigation .ast-right-arrow {
		display: none;
	}
}

/* Yhteystiedot */

.henkilokunta p {
	margin-bottom: 0.5em;
}

/* Tietosuojaseloste / Evästekäytäntö / Toimitusehdot */

.privacy-policy .site-content .ast-container,
.cmplz-document .site-content .ast-container,
.page-id-541 .site-content .ast-container {
	padding: 2rem 1rem;
}

/* Footer */

/* Ninja Forms */

.nf-form-fields-required {
	display: none;
}

.ninja-forms-req-symbol {
	color: #595959 !important;
}

.nf-form-content label {
	font-family: 'Raleway';
    text-transform: uppercase;
    color: #595959;
}

.nf-form-content input[type=submit] {
	font-family: 'Raleway';
	background: #3eb4e4 !important;
	color: #fff !important;
	padding: 12px 20px;
	height: auto !important;
}

.nf-form-content input[type=submit]:hover {
	background: #2f8cb1 !important;
	color: #fff !important;
}

/* Woocommerce */

.woocommerce h2 {
	font-size: 1.6rem;
}

body:not(.cartflows-canvas):not(.cartflows-default) .woocommerce form .form-row.ast-animate-input label:not(.checkbox):not(.woocommerce-form__label-for-checkbox), 
.woocommerce a.remove {
	color: #000;
}

.woocommerce a.remove:hover {
	color: #3eb4e4;
}

.woocommerce a.remove:before {
	border-color: #000;
}

.woocommerce a.remove:hover:before {
	border-color: #3eb4e4;
}

.woocommerce ul.products li.product .button, .woocommerce-page ul.products li.product .button {
	font-size: 12px;
	padding: 10px;
	text-align: center;
}

.woocommerce div.product form.cart .button.single_add_to_cart_button {
	padding: 15px 20px;
}

.woocommerce ul.products li.product .ast-shop-product-out-of-stock, .woocommerce-page ul.products li.product .ast-shop-product-out-of-stock {
	font-size: 0.7rem;
}

.ast-card-action-tooltip {
	background: #fff;
}

.ast-card-action-tooltip:after {
	border-color: transparent transparent transparent #ffffff;
}

body.archive .ast-archive-description {
	display: none;
}

.woocommerce .ast-shop-toolbar-container {
	margin-bottom: 1.5rem;
}

.woocommerce-ordering select.orderby {
	max-width: 100%;
	font-size: 14px;
	font-family: 'Raleway';
	border: 1px solid var(--ast-border-color);
}

.woocommerce select {
	padding-right: 0.8em;
}

.single-product #primary {
	margin: 4rem 0 !important;
}

@media (max-width: 991.98px) {
	.ast-woo-shop-archive #primary {
		border-bottom: 1px solid #eaeaea;
	}
}

@media (max-width: 1199.98px) {
	.single-product #primary {
		margin: 2rem 0 !important;
	}
}

@media (min-width: 992px) {
	.woocommerce .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap .astra-shop-filter-button {
		display: none;
	}
}

/* Woocommerce cart/checkout */

.ast-modern-checkout .woocommerce .ast-mobile-order-review-wrap #ast-order-review-toggle {
	color: #000;
}

.woocommerce-checkout #primary,
.woocommerce-cart #primary {
	margin: 4rem 0 !important;
}

.woocommerce-checkout header.entry-header .entry-title, 
.woocommerce-cart header.entry-header .entry-title {
	font-size: 2rem;
}

#ast-apply-coupon {
	line-height: 2rem;
}

body.woocommerce-cart .cross-sells ul.products .ast-article-single .astra-shop-summary-wrap .woocommerce-loop-product__title:hover {
	color: #2f8cb1;
}

/* Woocommerce sidebar / flyout sidebar */

.wc-block-product-categories-list {
	font-family: 'Raleway';
}

#secondary .wp-block-group h2,
.ast-filter-wrap h2 {
	font-weight: 600;
}

.wc-block-product-categories-list li a {
	color: #000;
}

.wc-block-product-categories-list li a:hover {
	color: #3eb4e4;
}

.woocommerce .astra-off-canvas-sidebar-wrapper .close, .woocommerce-page .astra-off-canvas-sidebar-wrapper .close {
	color: #000;
}

.astra-off-canvas-sidebar .ast-filter-wrap .widget, .ast-filter-wrap .ast-woo-sidebar-widget.widget {
	margin-bottom: 2rem;
}

.wc-block-product-categories-list-item ul {
	list-style: circle inside;
}

#secondary .wp-block-search__button {
	font-size: 0.8rem;
}

#secondary li {
	margin-bottom: 0.4em;
}